Page 1 of 2 12 LastLast
Results 1 to 25 of 32
  1. #1
    Merchant & ABW Ambassador
    Join Date
    May 31st, 2006
    Location
    Houston TX
    Posts
    4,731
    Exclamation Upgrading from 2.8.1. to 2.8.2 and error for meta.php = no blog
    Hi I mess up my WP site - EricEwe.com. Help please....

    Trying to google to debug the issue but I am not a pro in WP.

    I loaded 2.8.2 from 2.8.1 late last nite. I did it via simple scripts and in the past, i was able to revert to the older version without any problems.

    When i load my website after the upgrade to 2.8.2, I saw a blank white page so I loaded the 2.8.1 by clicking it on simple scripts (restore). it says restore/loading the old version was successful, I see this error.

    Warning: require(/home/mywebsitename/public_html/wp-includes/meta.php) [function.require]: failed to open stream: No such file or directory in /home/mywebsitename/public_html/wp-settings.php on line 364

    Also, looking at the FTP, i do not see meta.php in that folder.
    I run a custom theme and have about 1 dozen plugins. I hate to start over cos of SEO.

    Help please....

  2. #2
    Comfortably Numb John Powell's Avatar
    Join Date
    October 17th, 2005
    Location
    Bayou Country, LA
    Posts
    3,432
    Can you use your last cPanel backup and then start over? Mine is showing 2.9.1 as the latest variation which I didn't upgrade to yet. I have been using the auto upgrade feature that comes with wp, and doing a cPanel backup first.


  3. #3
    Merchant & ABW Ambassador
    Join Date
    May 31st, 2006
    Location
    Houston TX
    Posts
    4,731
    Thanks for the input.

    Tried that but it did not work. I need to figure out how to restore it and based on the error, I guess I need that meta.php file somehow.

    I was unable to locate a meta.php file on my FTP. So I downloaded a version off WP (v.2.8.1).
    In the downloaded unzip, there is no wp-includes/meta.php in the version off WP.

    I want to think that it could be a plugin file?

    Any 2 cents is appreciated.

  4. #4
    Comfortably Numb John Powell's Avatar
    Join Date
    October 17th, 2005
    Location
    Bayou Country, LA
    Posts
    3,432
    My oldest version is 2.8.4 and it doesn't have /wp-includes/meta.php either. Did you try it with all your plug-ins disabled and then turning them on one at a time?


  5. #5
    Merchant & ABW Ambassador
    Join Date
    May 31st, 2006
    Location
    Houston TX
    Posts
    4,731
    Quote Originally Posted by John Powell
    My oldest version is 2.8.4 and it doesn't have /wp-includes/meta.php either. Did you try it with all your plug-ins disabled and then turning them on one at a time?
    Nope..

  6. #6
    ABW Ambassador ladidah's Avatar
    Join Date
    October 15th, 2007
    Location
    MA
    Posts
    1,888
    It may be one of your plugins.

    Has happened to me before where that was the problem.

    I would follow John's suggestion.

    Disable all of them and add them back one by one to see which one is the culprit.

    Once you find the offending one you may have to nix it or wait until the plugins gets an upgrade by the author.

  7. #7
    Merchant & ABW Ambassador
    Join Date
    May 31st, 2006
    Location
    Houston TX
    Posts
    4,731
    How do i disable the plugins?
    As my ADMIN backoffice is also down due to that.

    I can FTP in and delete the plugin files. not sure if that is the route to take?

  8. #8
    ABW Ambassador 2busy's Avatar
    Join Date
    January 17th, 2005
    Location
    Tropical Mountaintop
    Posts
    5,636
    Try taking a look at your wp-settings.php file because the warning says your error is there:
    wp-settings.php on line 364

  9. #9
    SEO: A Specialty - Web Design: Slow or outsourced andbeyond's Avatar
    Join Date
    June 18th, 2006
    Location
    The Call is coming from Inside the House!
    Posts
    1,332
    It might also be the theme. If you can get into WP admin I would switch to the default one and then see if your site works.

    Might be using an old theme that has not been updated in a while. Might need to change.

  10. #10
    Full Member iolaire's Avatar
    Join Date
    October 3rd, 2006
    Location
    Arlington, VA
    Posts
    229
    Quote Originally Posted by Eric Ewe
    How do i disable the plugins?
    I can FTP in and delete the plugin files. not sure if that is the route to take?
    That is the correct route, just delete them, but first download them with FTP just in case you need that specific version loaded back up (or any customization to code etc..)

  11. #11
    Comfortably Numb John Powell's Avatar
    Join Date
    October 17th, 2005
    Location
    Bayou Country, LA
    Posts
    3,432
    It still seems that you should have a cPanel backup that you could roll back too. The one you tried might be too current and have the corruption in it. What about having your hosting support look into your weekly or monthly backup?

    Also I'm curious why you are only upgrading to 2.8.2 when there is 2.9.1 as the latest.


  12. #12
    Merchant & ABW Ambassador
    Join Date
    May 31st, 2006
    Location
    Houston TX
    Posts
    4,731
    2busy,
    I think the line 364 is refering to the meta.php. I am getting somebody to verify that as I do not have an text editor and counting to 364 lines is quite a challenge in notepad.

    iolaire,
    Thanks, I will try that.

    andbeyond,
    The theme might be something that is causing the problem. I have a feeling it is that or the plugins. Either way, I cannot revert back to disable it cos I do not have access to the admin/backoffice as that is corrupted too with that msg.

    john,
    I was going to gradually upgrade from 2.8.1 to 2.8.2. I read somewhere that if I do an update to 2.8.x to 2.9.x, I will have multiple issues. So hence, me line of thinking is to update it gradually. One version to the next without that big leap

  13. #13
    Comfortably Numb John Powell's Avatar
    Join Date
    October 17th, 2005
    Location
    Bayou Country, LA
    Posts
    3,432
    I am getting somebody to verify that as I do not have an text editor and counting to 364 lines is quite a challenge in notepad.
    Get Notepad++ for free. It has line numbers and so much more.


  14. #14
    ABW Ambassador
    Join Date
    January 18th, 2005
    Location
    Nunya, Business
    Posts
    23,684
    Not the same thing but I did something where my site didn't load - http://forum.abestweb.com/showthread.php?t=124006

    I believe I just went into Cpanel and deleted the theme and then I went in and picked another.

  15. #15
    More Cheesier Than Ever Cheesehead's Avatar
    Join Date
    January 18th, 2005
    Location
    Land of The NFL Champs!
    Posts
    2,942
    I got the white blog screen of death too a week ago after the one click upgrade. One of my plugins was the culprit. Hostgator chat support was nice enough to figure this out for me and fix it. Darned good service for cheap shared hosting!
    This World is Not My Home
    We're gonna go inside, we're gonna go outside, inside and outside. . . And then we're gonna go go go and we're not gonna stop til we get across that goalline! Quotes from the movie Rudy, 1993

  16. #16
    SEO: A Specialty - Web Design: Slow or outsourced andbeyond's Avatar
    Join Date
    June 18th, 2006
    Location
    The Call is coming from Inside the House!
    Posts
    1,332
    Quote Originally Posted by Trust
    I believe I just went into Cpanel and deleted the theme and then I went in and picked another.
    Ya you can use cpanel or ftp and delete themes if you want to get more aggressive.

    It will default to Kubrick then.

  17. #17
    Merchant & ABW Ambassador
    Join Date
    May 31st, 2006
    Location
    Houston TX
    Posts
    4,731
    Question
    Thanks ALL for the input. Finally installed EditPlus as opposed to EditPlus Spell check. I thought that Win 7 sucks as Win7 overrides EditPlus and forces me to use NotePad to edit.

    Anyway, I deleted some plugins and I do not think this is the issue. Anybody care to point me towards the right direction?

    I do not think that it has to do with the theme but I did not delete it yet or restore it to the default base theme. I have no problem with as i can restore that down the road.

    Based on the error code:
    Warning: require(/home/ericewec/public_html/wp-includes/meta.php) [function.require]: failed to open stream: No such file or directory in /home/ericewec/public_html/wp-settings.php on line 364

    I looked that up and it is
    require (ABSPATH . WPINC . '/formatting.php');
    require (ABSPATH . WPINC . '/capabilities.php');
    require (ABSPATH . WPINC . '/query.php');
    require (ABSPATH . WPINC . '/theme.php');
    require (ABSPATH . WPINC . '/user.php');
    require (ABSPATH . WPINC . '/meta.php'); <<<<<THIS IS LINE 364
    require (ABSPATH . WPINC . '/general-template.php');


    We know that I do not have this file /wp-includes/meta.php - verified by john too
    If I would to delete that line 364 from /public_html/wp-settings.php, I would get a blank page.

    Thoughts?

    I will test more and if I make any headway, I will update but any help is greatly appreciated. TIA

  18. #18
    ABW Ambassador meadowmufn's Avatar
    Join Date
    January 18th, 2005
    Location
    Seattle
    Posts
    2,587
    I tried to do an automatic upgrade within WordPress a few weeks ago. I got one of those "No such file exists" errors and it turns out that my account had run out of space. My host upped my quota and rolled back the upgrade for me. I tried it again and it worked.

    Don't know if that is your issue, but I thought I'd share.

    I just downloaded the 2.8.1 version of WP and checked. The wp-settings.php file does not include meta.php. Neither does 2.8.2, so I'm not sure what's going on there. The only thing I could think of would be to make a backup of your current wp-settings.php file, download 2.81 and upload that wp-settings.php file to see if you can get things working again enough to try upgrading again.

    You might also want to check the version.php file in the wp-includes folder to see if the restore actually rolled back the install to 2.8.1.
    -Don't criticize anyone til you've walked a mile in their shoes. Then when you do criticize them, you'll be a mile away and have their shoes.
    - Silence is golden. Duct Tape is silver.

  19. #19
    ABW Ambassador
    Join Date
    January 18th, 2005
    Location
    Nunya, Business
    Posts
    23,684
    "I do not think that it has to do with the theme but I did not delete it yet or restore it to the default base theme. I have no problem with as i can restore that down the road."

    Try it, it fixed my problem. You've been down for about 4 days now, what if it's just that simple?

  20. #20
    ABW Ambassador writerguy's Avatar
    Join Date
    January 17th, 2005
    Location
    Springfield, Missouri, USA
    Posts
    3,248
    Okay, Eric, here's a possibility I found that could be such a simple answer. I Googled all sorts of stuff about meta.php, and found very little.

    Then I Googled "wp blank screen plugins" and found this VERY COMPLICATED (I thought, at least) discussion of that problem:

    http://www.colinmcnulty.com/blog/200...reen-of-death/

    You may want to go through all the stuff he says, or at least bookmark that to come back to, because the "simple" solution may not be the one you need. Here's his simple solution -- and I THINK I've seen reference to it elsewhere on the Internet:

    There was a blank line space that got into the end of his wp-config.php file that was messing up his WP install.

    In other words, instead of the last line in wp-config.php being this:

    ?>

    It was actually the ?> code with ANOTHER blank line below it.

    I would suggest you use FTP to open the wp-config.php file and see whether there's a blank line space BELOW the php closing command -- the "?>"

    Worth a look, I guess?
    Generate more fake news.

  21. #21
    Member JohnHawkins's Avatar
    Join Date
    October 12th, 2009
    Location
    Las Vegas, NV
    Posts
    72
    If you are interested, I'm extremely familiar with WordPress and would be more than happy to help get you updated to the latest version of WordPress.

    If you want me to take a look, let me know.

  22. #22
    Merchant & ABW Ambassador
    Join Date
    May 31st, 2006
    Location
    Houston TX
    Posts
    4,731
    Quote Originally Posted by Trust
    "I do not think that it has to do with the theme but I did not delete it yet or restore it to the default base theme. I have no problem with as i can restore that down the road."

    Try it, it fixed my problem. You've been down for about 4 days now, what if it's just that simple?
    Trying it as I type

    Edit: Nope. Thanks for the suggestion though.

  23. #23
    ABW Ambassador
    Join Date
    January 18th, 2005
    Location
    Nunya, Business
    Posts
    23,684
    Who's your host? When I first started, I had another problem that made my site go away and I used the live chat with Host Gator and one of them took care of it for me. Now I normally don't do this (and you shouldn't) but I gave them some login info and they went in there and fixed it for me. And then I changed all my passwords and such.

  24. #24
    ABW Ambassador ladidah's Avatar
    Join Date
    October 15th, 2007
    Location
    MA
    Posts
    1,888
    Quote Originally Posted by JohnHawkins
    If you are interested, I'm extremely familiar with WordPress and would be more than happy to help get you updated to the latest version of WordPress.

    If you want me to take a look, let me know.
    Eric, If you got an expert WP guru giving you a hand, I'd take it!


  25. #25
    SEO: A Specialty - Web Design: Slow or outsourced andbeyond's Avatar
    Join Date
    June 18th, 2006
    Location
    The Call is coming from Inside the House!
    Posts
    1,332
    BTW have you done an export (backup) of the data lately? If so I would click on it locally to make sure it looks ok. Maybe start a new mysql and point at the new database and import.

    Then upload.

    I really have not had this many problems when turning off plugins and themes and trying to upgrade.

    Might need to upgrade by hand.

+ Reply to Thread
Page 1 of 2 12 LastLast

Similar Threads

  1. Help - Should this meta name robots noindex, nofollow be in the header.php?
    By Trust in forum Blogging, Mobile and Social Media
    Replies: 6
    Last Post: November 15th, 2009, 08:40 AM
  2. Do You Use A Meta Tag Checker On Your Blog?
    By Trust in forum Blogging, Mobile and Social Media
    Replies: 1
    Last Post: November 14th, 2009, 09:16 AM
  3. PHP Error
    By arizonadude in forum PopShops
    Replies: 1
    Last Post: August 27th, 2009, 10:12 AM
  4. How to use Meta tags with PHP?
    By Hardaka in forum Programming / Datafeeds / Tools
    Replies: 40
    Last Post: December 16th, 2007, 06:33 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •